Error
A valid request URL is required to generate request examples{
"views": [
{
"privateProfile": true,
"lastName": "...",
"city": "...",
"postalCode": "...",
"middleInitial": "...",
"country": "...",
"roleName": "...",
"address1": "...",
"mobilePhone": "...",
"sysidUser": 12345,
"stateProvince": "...",
"department": "...",
"workPhone": "...",
"sysidStatus": 12345,
"images": [
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
},
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
}
],
"sysidHomeLocation": 12345,
"sysidLanguage": 12345,
"emailAddress": "...",
"firstName": "...",
"originalUser": true,
"locationName": "...",
"address2": "...",
"accountLocked": true,
"statusMessage": "...",
"title": "..."
},
{
"privateProfile": true,
"lastName": "...",
"city": "...",
"postalCode": "...",
"middleInitial": "...",
"country": "...",
"roleName": "...",
"address1": "...",
"mobilePhone": "...",
"sysidUser": 12345,
"stateProvince": "...",
"department": "...",
"workPhone": "...",
"sysidStatus": 12345,
"images": [
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
},
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
}
],
"sysidHomeLocation": 12345,
"sysidLanguage": 12345,
"emailAddress": "...",
"firstName": "...",
"originalUser": true,
"locationName": "...",
"address2": "...",
"accountLocked": true,
"statusMessage": "...",
"title": "..."
}
],
"nextStartRow": 12345,
"hasAdditional": true
}UserService
Get usersprofilesmy people
Each User may have a list of other Users associated with their User Account. This offers a convenient way for Users to search a list of other Users for whom they make Reservations. The User information is returned as a list of User Views describing the User Account information.
This operation retrieves all User Views listed in the My People attribute of the User identified by the User System ID path parameter.
The requesting User must have the following rights to perform this task:
This operation may include an OPTIONAL query parameter sysidUser=# . If no query parameter is provided, the operation retrieves the data for the calling authenticated User.
This operation returns a User View Wrapper with the following fields:
GET
/
users
/
profiles
/
my-people
Error
A valid request URL is required to generate request examples{
"views": [
{
"privateProfile": true,
"lastName": "...",
"city": "...",
"postalCode": "...",
"middleInitial": "...",
"country": "...",
"roleName": "...",
"address1": "...",
"mobilePhone": "...",
"sysidUser": 12345,
"stateProvince": "...",
"department": "...",
"workPhone": "...",
"sysidStatus": 12345,
"images": [
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
},
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
}
],
"sysidHomeLocation": 12345,
"sysidLanguage": 12345,
"emailAddress": "...",
"firstName": "...",
"originalUser": true,
"locationName": "...",
"address2": "...",
"accountLocked": true,
"statusMessage": "...",
"title": "..."
},
{
"privateProfile": true,
"lastName": "...",
"city": "...",
"postalCode": "...",
"middleInitial": "...",
"country": "...",
"roleName": "...",
"address1": "...",
"mobilePhone": "...",
"sysidUser": 12345,
"stateProvince": "...",
"department": "...",
"workPhone": "...",
"sysidStatus": 12345,
"images": [
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
},
{
"sysidUserImage": 12345,
"defaultImage": true,
"thumbnailSource": "...",
"width": 12345,
"displayOrder": 12345,
"height": 12345,
"description": "...",
"imageSource": "...",
"name": "...",
"sysidApplicationUser": 12345
}
],
"sysidHomeLocation": 12345,
"sysidLanguage": 12345,
"emailAddress": "...",
"firstName": "...",
"originalUser": true,
"locationName": "...",
"address2": "...",
"accountLocked": true,
"statusMessage": "...",
"title": "..."
}
],
"nextStartRow": 12345,
"hasAdditional": true
}
